Loading...
Searching...
No Matches
filter-graph.h File Reference
Filter Graph

spa/filter-graph/filter-graph.h More...

Go to the source code of this file.

## Data Structures

struct | spa_filter_graph
struct | spa_filter_graph_info
struct | spa_filter_graph_events
struct | spa_filter_graph_methods

## Macros

#define | SPA_API_FILTER_GRAPH static inline
#define | SPA_TYPE_INTERFACE_FilterGraph SPA_TYPE_INFO_INTERFACE_BASE "FilterGraph"
| A graph of filters.
#define | SPA_VERSION_FILTER_GRAPH 0
#define | SPA_FILTER_GRAPH_CHANGE_MASK_FLAGS (1u<<0)
#define | SPA_FILTER_GRAPH_CHANGE_MASK_PROPS (1u<<1)
#define | SPA_VERSION_FILTER_GRAPH_EVENTS 0
#define | SPA_VERSION_FILTER_GRAPH_METHODS 0

## Functions

SPA_API_FILTER_GRAPH int | spa_filter_graph_add_listener (struct spa_filter_graph *object, struct spa_hook *listener, const struct spa_filter_graph_events *events, void *data)
SPA_API_FILTER_GRAPH int | spa_filter_graph_enum_prop_info (struct spa_filter_graph *object, uint32_t idx, struct spa_pod_builder *b, struct spa_pod **param)
SPA_API_FILTER_GRAPH int | spa_filter_graph_get_props (struct spa_filter_graph *object, struct spa_pod_builder *b, struct spa_pod **props)
SPA_API_FILTER_GRAPH int | spa_filter_graph_set_props (struct spa_filter_graph *object, enum spa_direction direction, const struct spa_pod *props)
SPA_API_FILTER_GRAPH int | spa_filter_graph_activate (struct spa_filter_graph *object, const struct spa_dict *props)
SPA_API_FILTER_GRAPH int | spa_filter_graph_deactivate (struct spa_filter_graph *object)
SPA_API_FILTER_GRAPH int | spa_filter_graph_reset (struct spa_filter_graph *object)
SPA_API_FILTER_GRAPH int | spa_filter_graph_process (struct spa_filter_graph *object, const void *in[], void *out[], uint32_t n_samples)

## Detailed Description

spa/filter-graph/filter-graph.h

## Macro Definition Documentation

## SPA_API_FILTER_GRAPH

#define SPA_API_FILTER_GRAPH static inline